{
  "schema_version": "1.4.0",
  "id": "GHSA-j878-j5h9-9j88",
  "modified": "2022-05-01T18:24:52Z",
  "published": "2022-05-01T18:24:52Z",
  "aliases": [
    "CVE-2007-4568"
  ],
  "details": "Integer overflow in the build_range function in X.Org X Font Server (xfs) before 1.0.5 allows context-dependent attackers to execute arbitrary code via (1) QueryXBitmaps and (2) QueryXExtents protocol requests with crafted size values, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-4568"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2008:0029"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2008:0030"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/security/cve/CVE-2007-4568"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=281921"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/36919"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1756"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10882"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2007-December/msg00352.html"
    },
    {
      "type": "WEB",
      "url": "http://bugs.freedesktop.org/show_bug.cgi?id=12298"
    },
    {
      "type": "WEB",
      "url": "http://bugs.gentoo.org/show_bug.cgi?id=194606"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=307430"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=307562"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=602"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2008/Feb/msg00002.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2008/Mar/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.freedesktop.org/archives/xorg-announce/2007-October/000416.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27040"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27052"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27060"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27168"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27176"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27228"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27240"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/27560"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28004"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28536"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28542"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28891"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29420"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200710-11.xml"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-103114-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-66-200642-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1385"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:210"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_54_xorg.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0029.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0030.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/481432/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/25898"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1018763"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA08-043B.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3337"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3338"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/3467"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0495/references"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0924/references"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-10-05T21:17:00Z"
  }
}